Submit data for the current step of a flowAsk AIpost https://api.trulioo.com/wfs/interpreter-v2/submit/{flowId}Path ParamsflowIdstringrequiredThe ID of the flowBody Paramsform_submittwilio_submittrulioo_kyb_search_submitdocv_submitflow_connector_submittrulioo_electronic_id_submitperson_ocr_submitbusiness_ocr_submitAdd FieldHeadersx-hf-sessionstringID for a user state in the execution flow (generated in the first interaction with a flow). Alternatively, this header can be omitted to directly submit data for the first form node. Note that direct submission is only supported for form nodes.x-hf-languagestringenumSelected language for flow executionarbnbgzh-HKzh-Hans-CNzh-Hant-TWcsdanl-NLen-CAen-GBen-USetfifr-CAfr-FRde-DEelguhehihuidit-ITjaknkoltmlmrnoplpt-BRpt-PTrorusksles-MXes-ESsvtatethtrukviShow 47 enum valuesx-hf-retry-on-pendingbooleanThis header determines whether the conditional node should block the flow's execution until the service completes and returns the next node. When set to true, the system will attempt to return the next node within 30 seconds. Interactive Node: If the next node is interactive (e.g. a form node or an interactive service node), it will be returned. End Node: If the next node is an end node, the end node will be returned. Pending Response: If the process exceeds 30 seconds, the response will include "type": "pending", along with the header "x-hf-session", containing the session ID for tracking the user's state in the flow. This session ID can be used for continued polling to retrieve information related to that specific execution. This mechanism allows the flow to continue progressing, even if the complete result is not immediately available.truefalseResponses 200Returns the step required to be submitted next in the current flow execution 400Client provided invalid data 500Internal server error (which might be caused by a temporary issue)Updated 7 months ago